# Class ReadBaseStratification.PairStratifier<T extends Comparable<T>, R extends Comparable<R>>

java.lang.Object
picard.sam.SamErrorMetric.ReadBaseStratification.PairStratifier<T,R>

All Implemented Interfaces:
  `ReadBaseStratification.RecordAndOffsetStratifier<Pair<T,R>>`

Enclosing class:
  `ReadBaseStratification`

public static class ReadBaseStratification.PairStratifier<T extends Comparable<T>, R extends Comparable<R>> extends Object implements ReadBaseStratification.RecordAndOffsetStratifier<Pair<T,R>>
A PairStratifier is a stratifier that uses two other stratifiers to inform the stratification. For a given input, the result is the `Pair` of outputs that the two stratifiers return. The suffix for this stratifier is generated from the suffixes of the two provided stratifiers.

## Constructor Summary

Constructors
Constructor
Description
`PairStratifier(ReadBaseStratification.RecordAndOffsetStratifier<T> a, ReadBaseStratification.RecordAndOffsetStratifier<R> b)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSuffix()`
`Pair<T,R>`
`stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PairStratifier

public PairStratifier(ReadBaseStratification.RecordAndOffsetStratifier<T> a, ReadBaseStratification.RecordAndOffsetStratifier<R> b)

## Method Details

### stratify

public Pair<T,R> stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

Specified by:
  `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<T extends Comparable<T>>`

### getSuffix

public String getSuffix()

Specified by:
  `getSuffix` in interface `ReadBaseStratification.RecordAndOffsetStratifier<T extends Comparable<T>>`